Bug 212529 - Feature request: Allow reset button for "revert to defaults" for SELinux and Firewall
Summary: Feature request: Allow reset button for "revert to defaults" for SELinux and ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-27 08:56 UTC by James Hunt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 14:42:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Hunt 2006-10-27 08:56:45 UTC
Description of problem:

Due to the importance of system-config-securitylevel, I think it would be a
great idea to add a button to "reset" the firewall and/or SELinux to the default
(hardened) settings. Thus, if you messed up the firewall settings, you could
atleast go back to a known "good" configuration.

Getting really ambitious, it would be great if you had the ability to "undo" a
change back to a previous config level. This implies that
system-config-securitylevel would need to log what changes were made and when.

Version-Release number of selected component (if applicable):

system-config-securitylevel-1.6.27-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Thomas Woerner 2007-08-29 14:42:08 UTC
This has been done for rawhide in system-config-firewall, which replaces
system-config-securitylevel.


Note You need to log in before you can comment on or make changes to this bug.